# OmniAuth::Aladin


## Installation

Add this line to your application's Gemfile:

    gem 'omniauth-aladin'

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install omniauth-aladin

## Usage

You use OmniAuth::Aladin like you do any other OmniAuth strategy:

```ruby
use OmniAuth::Aladin
```

### Authentication Process

When you authenticate through `omniauth-aladin` you can send users to `/auth` and it will redirect
them to their identity provider (typically the Aladin Portal). From there, the provider must generate a signed authentication response
and send it to the `/authcallback` URL as a "authResponse" parameter:

    /auth/callback?authResponse=AUTH_RESPONSE_GOES_HERE

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
